Bug 186165 - Mouse buttons 6 & 7 don't work
Mouse buttons 6 & 7 don't work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
http://dorward.me.uk/linux/mouse/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 17:59 EST by Scott Baker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 18:09:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Baker 2006-03-21 17:59:19 EST
Description of problem: The left and right (back and forward) buttons report
incorrectly in FC5. I've set X up according to:

http://dorward.me.uk/linux/mouse/

and the left and right mouse buttons then show up as buttons 8 & 9 (according to
xev). Firefox doesn't recognize this, and thus the buttons don't work for me.
The instructions on that URL worked in FC4 just fine.

How reproducible: Easy

Steps to Reproduce:
1. Setup X according to the URL
2. Run xev
3. Press the buttons
  
Actual results: Buttons report as 8 and 9

Expected results: Buttons report as 4 and 5
Comment 1 Mike A. Harris 2006-03-23 15:30:13 EST
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 2 Mike A. Harris 2006-05-18 18:09:39 EDT
If this problem is still present in Fedora Core 5, with all available
updates applied, please file a bug report in X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Comment 3 Scott Baker 2006-05-25 13:06:12 EDT
My appologies, I thought I'd updated this bug. I did create the bug on the
freedesktop.org site.

https://bugs.freedesktop.org/show_bug.cgi?id=6369

I have not heard back from the freedesktop folks so I don't have a status
update. I did the same test about with a FC5 with a "yum upgrade" as of this
morning and it still exhibits the button 8 and 9 behavior.

Note You need to log in before you can comment on or make changes to this bug.